package p2p

import (
	"log"
)

// StartNetwork inicializa a rede P2P com host seguro
func StartNetwork(port int) {
	h, err := NewSecureHost(port)
	if err != nil {
		log.Fatalf("Erro ao iniciar host P2P: %v", err)
	}

	log.Printf("🌐 Rede P2P inicializada com sucesso: PeerID %s\n", h.ID())
	select {} // Mantém processo vivo
}